



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Docker中完成Jenkins的安装</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Docker中完成Jenkins的安装</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-03 17:46:43 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>　　去年就开始学习采用Docker+Jenkins+.Net Core搭建生成式流水线，一直拖到现在，也没有彻底的好好静下来去总结总结。趁着现在对自己的严格要求下，逐渐开始重视自我总结，以此来巩固逐渐失去的知识。</strong></p>
<p>　　本文地址：<a href="https://www.cnblogs.com/CKExp/p/9536864.html" rel="external nofollow noreferrer">https://www.cnblogs.com/CKExp/p/9536864.html</a></p>
<h3><strong>一、安装Docker</strong></h3>
<p>　　这里可以参考之前写过的一篇文章：<a href="https://www.cnblogs.com/CKExp/p/8159269.html" rel="external nofollow noreferrer">https://www.cnblogs.com/CKExp/p/8159269.html</a> 内容比较简单，但还算是能够实用，安装的Docker版本是1.13.1，服务器版本是CentOS7.2。</p>
<h3><strong>二、安装Jenkins</strong></h3>
<p>　　先说明一下，在Jenkins安装时，我们需要在里面配置号Docker Compose组件，以此来支撑我们在后面同时发布多个网站或服务。有关docker compose知识可以参见<a href="https://yeasy.gitbooks.io/docker_practice/content/swarm/" rel="external nofollow noreferrer">https://yeasy.gitbooks.io/docker_practice/content/swarm/</a></p>
<p>　　所以我们不直接拉取Jenkins镜像，通过Dockerfile的形式来拉取Jenkins镜像，并在容器内安装好Docker Compose组件。而不单独在宿主机上安装Docker Compose，尽管那样也没问题，只需将应用程序直接部署到宿主机上就行，但是就失去了我们想要设计成流水线的目的了。</p>
<p>　　先创建一个Jenkins文件夹并编写Dockerfile文件：</p>
<div>
<pre class="prettyprint linenums"> # cd /<br />
 # mkdir Jenkins<br />
 # cd Jenkins<br />
 # touch Dockerfile<br />
 # vim Dockerfile</pre>
</div>
<p>　　Dockerfile文件内容：</p>
<div>
<pre class="prettyprint linenums">FROM jenkins<br />
USER root

#更新源并安装libltdl7<br />
RUN apt-get update &amp;&amp; apt-get install -y libltdl7<br />
ARG dockerGid=999<br />
RUN echo "docker:x:${dockerGid}:jenkins" &gt;&gt; /etc/group 

# 安装 Docker-Compose<br />
RUN curl -L https://github.com/docker/compose/releases/download/1.22.0/docker-compose-'uname -s'-'uname -m' -o /usr/local/bin/docker-compose<br />
# 授权<br />
RUN chmod +x /usr/local/bin/docker-compose</pre>
</div>
<p>　　开始构建该镜像</p>
<div>
<pre class="prettyprint linenums"># docker build . -t myjenkinsimage</pre>
</div>
<p>　　等待一会终于可以了，注意一下，如果在安装Docker-Compose时提示出错了，请看一下对应路径中 &lsquo;uname -s'-'uname -m' 是否是这样写的，直接安装Docker Compose的写法是$(uname -s)-$(uname -m)。</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1133736/201808/1133736-20180826160800095-372757931.png" /></p>
<p>　　&nbsp;先来配置一个存放jenkins配置信息的文件夹并修改文件夹权限,该文件夹名是在Jenkins容器中对应的Jenkins_home文件夹，所以我们也最好直接取上这个名字即可。</p>
<div>
<pre class="prettyprint linenums"># mkdir -p /var/jenkins_home<br /># chown -R 1000 /var/jenkins_home</pre>
</div>
<p>　　开始运行一个以Jenkins为镜像的容器并挂载Docker套接字，以便能在容器里与Docker守护进程互动，指明Jenkins数据挂载到宿主机位置和设置容器名称，基础镜像名称等。</p>
<div>
<pre class="prettyprint linenums"># docker run -d --name JenkinsContainer -p 8080:8080 -p 50000:50000 \<br />
    -v /var/run/docker.sock:/var/run/docker.sock \<br />
    -v $(which docker):/bin/docker \<br />
    -v /var/jenkins_home :/var/jenkins_home \<br />
    myjenkinsimage</pre>
</div>
<p>　　启动成功，容器已经创建完毕</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1133736/201808/1133736-20180826162534441-165200040.png" /></p>
<p>　　</p>
<h3>三、配置Jenkins</h3>
<p>　　现在Jenkins容器已经正常运行了，可以通过ip:port去访问并配置。首次访问后将看到这个界面，配置密码。</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1133736/201808/1133736-20180826162848514-1245395998.png" /></p>
<p>　　需要从容器里面查看一下密码，以交互状态进入容器并查看对应路径下文件密码。</p>
<div>
<pre class="prettyprint linenums"># docker exec -it JenkinsContainer /bin/bash<br /># cat /var/jenkins_home/secrets/initialAdminPassword</pre>
</div>
<p>　　得到密码，继续下面的配置步骤，选择推荐安装的插件，然后等待安装完成。</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1133736/201808/1133736-20180826164035410-536507673.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1133736/201808/1133736-20180826164118909-1417383244.png" /></p>
<p>　　安装完毕，开始设置用户账号信息，设置完毕，进入界面，整个Jenkins安装且配置也就全部结束了。</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1133736/201808/1133736-20180826164331995-1787378516.png" /></p>
<p><strong>接下来将开始设置Asp.Net Core应用程序的Dockerfile及Docker Compose实现生成式流水线的搭建，同时</strong><strong>感谢@<a href="http://www.cnblogs.com/LongJiangXie/p/7517909.html" rel="external nofollow noreferrer">Loongle</a>的文章，少走许多弯路。</strong></p>
<p>本文地址：<a href="https://www.cnblogs.com/CKExp/p/9536864.html" rel="external nofollow noreferrer">https://www.cnblogs.com/CKExp/p/9536864.html</a></p>
<pre class="prettyprint linenums"><code><strong>2018-08-31,望技术有成后能回来看见自己的脚步</strong></code></pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r8mn1j2q.html">为你的pip更换一个国内的镜像源</a>
		</li>
						<li><a href="https://www.batexi.com/a/49g5x778.html">Xcode LLDB Debug教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw3yoz9.html">js事件执行顺序</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq101lz8.html">PHP实现Restful风格的API</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xxkw08.html">poj2676 Sudoku（DFS）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1vd2j9.html">Winform基础 -- 菜单</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yk61nq.html">struts2学习笔记（2）&mdash;&mdash;简单的输入验证以及标签库的运用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z14mlv9.html">UVa 12169 &lpar;枚举&plus;扩展欧几里得&rpar; Disgruntled Judge</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vxvg38.html">Java中遍历Map的几种方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj0oo79.html">Qt 编程训练之七</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1klxjq.html">ubuntu 15&period;10 安装jdk</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzrojg8.html">【洛谷1026】【NOIP2001】统计单词个数</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m53mj8.html">Android开发学习之路--图表实现&lpar;achartengine&sol;MPAndroidChart&rpar;之初体验</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me5xl2q.html">教你如何一键反编译获取任何微信小程序源代码（图形化界面，傻瓜式操作）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k0l009.html">HTTP协议简介详解 HTTP协议发展 原理 请求方法 响应状态码 请求头 请求首部 java模拟浏览器客户端服务端</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jrjjo8.html">visual studio 各版本激活码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj1vxr9.html">Java并发编程75道面试题及答案</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5pnvmq.html">UC浏览器中Ajax请求中传递数据的一个坑</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m27dz6q.html">Python全栈-day2-day3-语法基础1</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jm0jxe9.html">oralce下载</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q7z5lok9.html">appium   出现报错&OpenCurlyDoubleQuote;A new session could not be created&period; &lpar;Original error&colon; Requested a new session but one was in progress&rpar;&rdquo;的解决方式！</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpe5r79.html">MIP 内容声明</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7z5npj9.html">mybatis 增加热加载xml</a>
			</li>
						<li><a href="https://www.batexi.com/a/93y4vg08.html">Spring Boot 2&period;0 图文教程 &vert; 集成邮件发送功能</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eygw3m9.html">从EventLoop到宏任务与微任务</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljrvy19.html">C&num; Memory Cache 踩坑记录</a>
			</li>
						<li><a href="https://www.batexi.com/a/96prll38.html">《k8s-1&period;13版本源码分析》-调度器框架</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd47y79.html">MaxCompute 2&period;0复杂数据类型之array</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k7wd49.html">Java对字符串加密并返回星号※</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxk3xnv8.html">ContentProvider和ContentResolver的使用</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
